# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sgdkx"
version = "0.4.2"
build = false
exclude = [
    "/target",
    ".github",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Unofficial command-line toolkit for SGDK"
readme = "README.md"
keywords = [
    "sgdk",
    "megadrive",
    "genesis",
    "cli",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/ulalume/sgdkx"

[[bin]]
name = "sgdkx"
path = "src/main.rs"

[dependencies.clap]
version = "4.6"
features = ["derive"]

[dependencies.dialoguer]
version = "0.12"

[dependencies.dirs]
version = "6"

[dependencies.fs_extra]
version = "1.3"

[dependencies.reqwest]
version = "0.13"
features = [
    "blocking",
    "json",
]

[dependencies.serde_json]
version = "1.0"

[dependencies.tempfile]
version = "3"

[dependencies.toml_edit]
version = "0.25"

[dependencies.which]
version = "8"

[dependencies.zip]
version = "8"
